summaryrefslogtreecommitdiff
path: root/sysdeps/mach/configure
diff options
context:
space:
mode:
authorRoland McGrath <roland@redhat.com>2009-09-15 14:14:42 -0700
committerRoland McGrath <roland@redhat.com>2009-09-15 14:14:42 -0700
commit7967983fd42380b090a63b53fe57a05e1d1c0b4f (patch)
tree8a0f7e2aa9f450115c862c1ccc0c036c05046cfc /sysdeps/mach/configure
parent02bf610ca82f4b5660dadcfff04124e73f8ef2ff (diff)
configure tweaks, support $libc_add_on_config_subdirs
Diffstat (limited to 'sysdeps/mach/configure')
-rw-r--r--sysdeps/mach/configure612
1 files changed, 369 insertions, 243 deletions
diff --git a/sysdeps/mach/configure b/sysdeps/mach/configure
index bf4f98d4d5..32763ebaca 100644
--- a/sysdeps/mach/configure
+++ b/sysdeps/mach/configure
@@ -3,10 +3,10 @@
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}mig", so it can be a program name with args.
set dummy ${ac_tool_prefix}mig; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
if test "${ac_cv_prog_MIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
if test -n "$MIG"; then
ac_cv_prog_MIG="$MIG" # Let the user override the test.
@@ -17,34 +17,36 @@ do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_MIG="${ac_tool_prefix}mig"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
+IFS=$as_save_IFS
fi
fi
MIG=$ac_cv_prog_MIG
if test -n "$MIG"; then
- echo "$as_me:$LINENO: result: $MIG" >&5
-echo "${ECHO_T}$MIG" >&6
+ { $as_echo "$as_me:$LINENO: result: $MIG" >&5
+$as_echo "$MIG" >&6; }
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
fi
+
fi
if test -z "$ac_cv_prog_MIG"; then
ac_ct_MIG=$MIG
# Extract the first word of "mig", so it can be a program name with args.
set dummy mig; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
if test "${ac_cv_prog_ac_ct_MIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
if test -n "$ac_ct_MIG"; then
ac_cv_prog_ac_ct_MIG="$ac_ct_MIG" # Let the user override the test.
@@ -55,44 +57,54 @@ do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_ac_ct_MIG="mig"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
+IFS=$as_save_IFS
- test -z "$ac_cv_prog_ac_ct_MIG" && ac_cv_prog_ac_ct_MIG="MISSING"
fi
fi
ac_ct_MIG=$ac_cv_prog_ac_ct_MIG
if test -n "$ac_ct_MIG"; then
- echo "$as_me:$LINENO: result: $ac_ct_MIG" >&5
-echo "${ECHO_T}$ac_ct_MIG" >&6
+ { $as_echo "$as_me:$LINENO: result: $ac_ct_MIG" >&5
+$as_echo "$ac_ct_MIG" >&6; }
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
fi
- MIG=$ac_ct_MIG
+ if test "x$ac_ct_MIG" = x; then
+ MIG="MISSING"
+ else
+ case $cross_compiling:$ac_tool_warned in
+yes:)
+{ $as_echo "$as_me:$LINENO: WARNING: using cross tools not prefixed with host triplet" >&5
+$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+ac_tool_warned=yes ;;
+esac
+ MIG=$ac_ct_MIG
+ fi
else
MIG="$ac_cv_prog_MIG"
fi
if test "x$MIG" = xMISSING; then
- { { echo "$as_me:$LINENO: error: cannot find required build tool mig" >&5
-echo "$as_me: error: cannot find required build tool mig" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: cannot find required build tool mig" >&5
+$as_echo "$as_me: error: cannot find required build tool mig" >&2;}
{ (exit 1); exit 1; }; }
fi
### Sanity checks for Mach header installation
-echo "$as_me:$LINENO: checking for mach/mach_types.h" >&5
-echo $ECHO_N "checking for mach/mach_types.h... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for mach/mach_types.h" >&5
+$as_echo_n "checking for mach/mach_types.h... " >&6; }
if test "${ac_cv_header_mach_mach_types_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -102,48 +114,48 @@ cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <mach/mach_types.h>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
ac_cv_header_mach_mach_types_h=yes
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_header_mach_mach_types_h=no
fi
+
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_h" >&5
-echo "${ECHO_T}$ac_cv_header_mach_mach_types_h" >&6
-if test $ac_cv_header_mach_mach_types_h = yes; then
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_h" >&5
+$as_echo "$ac_cv_header_mach_mach_types_h" >&6; }
+if test "x$ac_cv_header_mach_mach_types_h" = x""yes; then
:
else
- { { echo "$as_me:$LINENO: error: cannot find Mach headers" >&5
-echo "$as_me: error: cannot find Mach headers" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: cannot find Mach headers" >&5
+$as_echo "$as_me: error: cannot find Mach headers" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:$LINENO: checking for mach/mach_types.defs" >&5
-echo $ECHO_N "checking for mach/mach_types.defs... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for mach/mach_types.defs" >&5
+$as_echo_n "checking for mach/mach_types.defs... " >&6; }
if test "${ac_cv_header_mach_mach_types_defs+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -153,40 +165,40 @@ cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <mach/mach_types.defs>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
ac_cv_header_mach_mach_types_defs=yes
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_header_mach_mach_types_defs=no
fi
+
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_defs" >&5
-echo "${ECHO_T}$ac_cv_header_mach_mach_types_defs" >&6
-if test $ac_cv_header_mach_mach_types_defs = yes; then
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_defs" >&5
+$as_echo "$ac_cv_header_mach_mach_types_defs" >&6; }
+if test "x$ac_cv_header_mach_mach_types_defs" = x""yes; then
:
else
- { { echo "$as_me:$LINENO: error: cannot find Mach .defs files" >&5
-echo "$as_me: error: cannot find Mach .defs files" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: cannot find Mach .defs files" >&5
+$as_echo "$as_me: error: cannot find Mach .defs files" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -194,10 +206,10 @@ fi
-echo "$as_me:$LINENO: checking for task_t in mach/mach_types.h" >&5
-echo $ECHO_N "checking for task_t in mach/mach_types.h... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for task_t in mach/mach_types.h" >&5
+$as_echo_n "checking for task_t in mach/mach_types.h... " >&6; }
if test "${libc_cv_mach_task_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -215,45 +227,42 @@ extern task_t foo;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mach_task_t=task_t
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mach_task_t=task_port_t
+ libc_cv_mach_task_t=task_port_t
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_task_t" >&5
-echo "${ECHO_T}$libc_cv_mach_task_t" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_task_t" >&5
+$as_echo "$libc_cv_mach_task_t" >&6; }
if test $libc_cv_mach_task_t != task_t; then
DEFINES="$DEFINES -Dtask_t=task_port_t"
fi
-echo "$as_me:$LINENO: checking for thread_t in mach/mach_types.h" >&5
-echo $ECHO_N "checking for thread_t in mach/mach_types.h... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for thread_t in mach/mach_types.h" >&5
+$as_echo_n "checking for thread_t in mach/mach_types.h... " >&6; }
if test "${libc_cv_mach_thread_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -271,46 +280,43 @@ extern thread_t foo;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mach_thread_t=thread_t
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mach_thread_t=thread_port_t
+ libc_cv_mach_thread_t=thread_port_t
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_thread_t" >&5
-echo "${ECHO_T}$libc_cv_mach_thread_t" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_thread_t" >&5
+$as_echo "$libc_cv_mach_thread_t" >&6; }
if test $libc_cv_mach_thread_t != thread_t; then
DEFINES="$DEFINES -Dthread_t=thread_port_t"
fi
-echo "$as_me:$LINENO: checking for creation_time in task_basic_info" >&5
-echo $ECHO_N "checking for creation_time in task_basic_info... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for creation_time in task_basic_info" >&5
+$as_echo_n "checking for creation_time in task_basic_info... " >&6; }
if test "${libc_cv_mach_task_creation_time+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -331,41 +337,38 @@ long s = i->creation_time.seconds;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mach_task_creation_time=yes
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mach_task_creation_time=no
+ libc_cv_mach_task_creation_time=no
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_task_creation_time" >&5
-echo "${ECHO_T}$libc_cv_mach_task_creation_time" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_task_creation_time" >&5
+$as_echo "$libc_cv_mach_task_creation_time" >&6; }
if test $libc_cv_mach_task_creation_time = no; then
- { { echo "$as_me:$LINENO: error: you need Mach headers supporting task_info.creation_time" >&5
-echo "$as_me: error: you need Mach headers supporting task_info.creation_time" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: you need Mach headers supporting task_info.creation_time" >&5
+$as_echo "$as_me: error: you need Mach headers supporting task_info.creation_time" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -376,11 +379,11 @@ for ifc in mach mach4 \
memory_object memory_object_default default_pager \
i386/mach_i386 \
; do
- as_ac_Header=`echo "ac_cv_header_mach/${ifc}.defs" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for mach/${ifc}.defs" >&5
-echo $ECHO_N "checking for mach/${ifc}.defs... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ as_ac_Header=`$as_echo "ac_cv_header_mach/${ifc}.defs" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for mach/${ifc}.defs" >&5
+$as_echo_n "checking for mach/${ifc}.defs... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -390,66 +393,189 @@ cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <mach/${ifc}.defs>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
eval "$as_ac_Header=yes"
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
eval "$as_ac_Header=no"
fi
+
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+ $as_echo "$as_val"'`
+ { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_Header'}
+ $as_echo "$as_val"'`
+ if test "x$as_val" = x""yes; then
mach_interface_list="$mach_interface_list $ifc"
fi
done
if test "x$mach_interface_list" = x; then
- { { echo "$as_me:$LINENO: error: what manner of Mach is this?" >&5
-echo "$as_me: error: what manner of Mach is this?" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: what manner of Mach is this?" >&5
+$as_echo "$as_me: error: what manner of Mach is this?" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:$LINENO: checking for egrep" >&5
-echo $ECHO_N "checking for egrep... $ECHO_C" >&6
-if test "${ac_cv_prog_egrep+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
+$as_echo_n "checking for grep that handles long lines and -e... " >&6; }
+if test "${ac_cv_path_GREP+set}" = set; then
+ $as_echo_n "(cached) " >&6
else
- if echo a | (grep -E '(a|b)') >/dev/null 2>&1
- then ac_cv_prog_egrep='grep -E'
- else ac_cv_prog_egrep='egrep'
+ if test -z "$GREP"; then
+ ac_path_GREP_found=false
+ # Loop through the user's path and test for each of PROGNAME-LIST
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_prog in grep ggrep; do
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
+ { test -f "$ac_path_GREP" && $as_test_x "$ac_path_GREP"; } || continue
+# Check for GNU ac_path_GREP and select it if it is found.
+ # Check for GNU $ac_path_GREP
+case `"$ac_path_GREP" --version 2>&1` in
+*GNU*)
+ ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
+*)
+ ac_count=0
+ $as_echo_n 0123456789 >"conftest.in"
+ while :
+ do
+ cat "conftest.in" "conftest.in" >"conftest.tmp"
+ mv "conftest.tmp" "conftest.in"
+ cp "conftest.in" "conftest.nl"
+ $as_echo 'GREP' >> "conftest.nl"
+ "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
+ diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
+ ac_count=`expr $ac_count + 1`
+ if test $ac_count -gt ${ac_path_GREP_max-0}; then
+ # Best one so far, save it but keep looking for a better one
+ ac_cv_path_GREP="$ac_path_GREP"
+ ac_path_GREP_max=$ac_count
fi
+ # 10*(2^10) chars as input seems more than enough
+ test $ac_count -gt 10 && break
+ done
+ rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
+esac
+
+ $ac_path_GREP_found && break 3
+ done
+ done
+done
+IFS=$as_save_IFS
+ if test -z "$ac_cv_path_GREP"; then
+ { { $as_echo "$as_me:$LINENO: error: no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+$as_echo "$as_me: error: no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+else
+ ac_cv_path_GREP=$GREP
+fi
+
fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
-echo "${ECHO_T}$ac_cv_prog_egrep" >&6
- EGREP=$ac_cv_prog_egrep
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_path_GREP" >&5
+$as_echo "$ac_cv_path_GREP" >&6; }
+ GREP="$ac_cv_path_GREP"
-echo "$as_me:$LINENO: checking for host_page_size in mach_host.defs" >&5
-echo $ECHO_N "checking for host_page_size in mach_host.defs... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for egrep" >&5
+$as_echo_n "checking for egrep... " >&6; }
+if test "${ac_cv_path_EGREP+set}" = set; then
+ $as_echo_n "(cached) " >&6
+else
+ if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
+ then ac_cv_path_EGREP="$GREP -E"
+ else
+ if test -z "$EGREP"; then
+ ac_path_EGREP_found=false
+ # Loop through the user's path and test for each of PROGNAME-LIST
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_prog in egrep; do
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
+ { test -f "$ac_path_EGREP" && $as_test_x "$ac_path_EGREP"; } || continue
+# Check for GNU ac_path_EGREP and select it if it is found.
+ # Check for GNU $ac_path_EGREP
+case `"$ac_path_EGREP" --version 2>&1` in
+*GNU*)
+ ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
+*)
+ ac_count=0
+ $as_echo_n 0123456789 >"conftest.in"
+ while :
+ do
+ cat "conftest.in" "conftest.in" >"conftest.tmp"
+ mv "conftest.tmp" "conftest.in"
+ cp "conftest.in" "conftest.nl"
+ $as_echo 'EGREP' >> "conftest.nl"
+ "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
+ diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
+ ac_count=`expr $ac_count + 1`
+ if test $ac_count -gt ${ac_path_EGREP_max-0}; then
+ # Best one so far, save it but keep looking for a better one
+ ac_cv_path_EGREP="$ac_path_EGREP"
+ ac_path_EGREP_max=$ac_count
+ fi
+ # 10*(2^10) chars as input seems more than enough
+ test $ac_count -gt 10 && break
+ done
+ rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
+esac
+
+ $ac_path_EGREP_found && break 3
+ done
+ done
+done
+IFS=$as_save_IFS
+ if test -z "$ac_cv_path_EGREP"; then
+ { { $as_echo "$as_me:$LINENO: error: no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+$as_echo "$as_me: error: no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+else
+ ac_cv_path_EGREP=$EGREP
+fi
+
+ fi
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_path_EGREP" >&5
+$as_echo "$ac_cv_path_EGREP" >&6; }
+ EGREP="$ac_cv_path_EGREP"
+
+
+{ $as_echo "$as_me:$LINENO: checking for host_page_size in mach_host.defs" >&5
+$as_echo_n "checking for host_page_size in mach_host.defs... " >&6; }
if test "${libc_cv_mach_host_page_size+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -469,8 +595,8 @@ fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_host_page_size" >&5
-echo "${ECHO_T}$libc_cv_mach_host_page_size" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_host_page_size" >&5
+$as_echo "$libc_cv_mach_host_page_size" >&6; }
if test $libc_cv_mach_host_page_size = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_HOST_PAGE_SIZE 1
@@ -478,10 +604,10 @@ _ACEOF
fi
-echo "$as_me:$LINENO: checking for mach/machine/ndr_def.h" >&5
-echo $ECHO_N "checking for mach/machine/ndr_def.h... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for mach/machine/ndr_def.h" >&5
+$as_echo_n "checking for mach/machine/ndr_def.h... " >&6; }
if test "${ac_cv_header_mach_machine_ndr_def_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -491,42 +617,42 @@ cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <mach/machine/ndr_def.h>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
ac_cv_header_mach_machine_ndr_def_h=yes
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_header_mach_machine_ndr_def_h=no
fi
+
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_mach_machine_ndr_def_h" >&5
-echo "${ECHO_T}$ac_cv_header_mach_machine_ndr_def_h" >&6
-if test $ac_cv_header_mach_machine_ndr_def_h = yes; then
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_mach_machine_ndr_def_h" >&5
+$as_echo "$ac_cv_header_mach_machine_ndr_def_h" >&6; }
+if test "x$ac_cv_header_mach_machine_ndr_def_h" = x""yes; then
DEFINES="$DEFINES -DNDR_DEF_HEADER='<mach/machine/ndr_def.h>'"
else
- echo "$as_me:$LINENO: checking for machine/ndr_def.h" >&5
-echo $ECHO_N "checking for machine/ndr_def.h... $ECHO_C" >&6
+ { $as_echo "$as_me:$LINENO: checking for machine/ndr_def.h" >&5
+$as_echo_n "checking for machine/ndr_def.h... " >&6; }
if test "${ac_cv_header_machine_ndr_def_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -536,36 +662,36 @@ cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <machine/ndr_def.h>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
ac_cv_header_machine_ndr_def_h=yes
else
- echo "$as_me: failed program was:" >&5
+ $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_header_machine_ndr_def_h=no
fi
+
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_machine_ndr_def_h" >&5
-echo "${ECHO_T}$ac_cv_header_machine_ndr_def_h" >&6
-if test $ac_cv_header_machine_ndr_def_h = yes; then
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_machine_ndr_def_h" >&5
+$as_echo "$ac_cv_header_machine_ndr_def_h" >&6; }
+if test "x$ac_cv_header_machine_ndr_def_h" = x""yes; then
DEFINES="$DEFINES -DNDR_DEF_HEADER='<machine/ndr_def.h>'"
fi
@@ -574,10 +700,10 @@ fi
-echo "$as_me:$LINENO: checking for i386_io_perm_modify in mach_i386.defs" >&5
-echo $ECHO_N "checking for i386_io_perm_modify in mach_i386.defs... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for i386_io_perm_modify in mach_i386.defs" >&5
+$as_echo_n "checking for i386_io_perm_modify in mach_i386.defs... " >&6; }
if test "${libc_cv_mach_i386_ioports+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -597,8 +723,8 @@ fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_i386_ioports" >&5
-echo "${ECHO_T}$libc_cv_mach_i386_ioports" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_i386_ioports" >&5
+$as_echo "$libc_cv_mach_i386_ioports" >&6; }
if test $libc_cv_mach_i386_ioports = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_I386_IO_PERM_MODIFY 1
@@ -606,10 +732,10 @@ _ACEOF
fi
-echo "$as_me:$LINENO: checking for i386_set_gdt in mach_i386.defs" >&5
-echo $ECHO_N "checking for i386_set_gdt in mach_i386.defs... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for i386_set_gdt in mach_i386.defs" >&5
+$as_echo_n "checking for i386_set_gdt in mach_i386.defs... " >&6; }
if test "${libc_cv_mach_i386_gdt+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -629,8 +755,8 @@ fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_mach_i386_gdt" >&5
-echo "${ECHO_T}$libc_cv_mach_i386_gdt" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_mach_i386_gdt" >&5
+$as_echo "$libc_cv_mach_i386_gdt" >&6; }
if test $libc_cv_mach_i386_gdt = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_I386_SET_GDT 1
@@ -641,10 +767,10 @@ fi
# See if mig groks `retcode'.
-echo "$as_me:$LINENO: checking whether $MIG supports the retcode keyword" >&5
-echo $ECHO_N "checking whether $MIG supports the retcode keyword... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking whether $MIG supports the retcode keyword" >&5
+$as_echo_n "checking whether $MIG supports the retcode keyword... " >&6; }
if test "${hurd_cv_mig_retcode+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat > conftest.defs <<\EOF
#include <mach/std_types.defs>
@@ -660,7 +786,7 @@ if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
hurd_cv_mig_retcode=yes
else
@@ -668,8 +794,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $hurd_cv_mig_retcode" >&5
-echo "${ECHO_T}$hurd_cv_mig_retcode" >&6
+{ $as_echo "$as_me:$LINENO: result: $hurd_cv_mig_retcode" >&5
+$as_echo "$hurd_cv_mig_retcode" >&6; }
if test $hurd_cv_mig_retcode = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_MIG_RETCODE 1